Subject: bug#29805: 27.0; doc of `tooltip-resize-echo-area'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Oct 2021 21:08:29 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 23 Oct 2021 10:48:00 -0700
> Cc: [email-masked]
> 
> > But this is just my POV of this matter.  As should be clear from my
> > previous remarks in this thread, I apparently do not understand the
> > use of the echo area for showing tooltips and neither the difference
> > between echo area and minibuffer.  So I'll rather leave this for the
> > inventor of `tooltip-resize-echo-area' to fix.
> 
> Eli, I guess that unnamed inventor is you.  Perhaps you could take a
> look at the above and see what you think.
> 
> commit 9b3ce6252115980802adaa562af575bcd73a2c55
> Author: Eli Zaretskii <[email-masked]>
> Date:   Sat Oct 7 15:04:37 2017 +0300
> 
>     New defcustom 'tooltip-resize-echo-area'
> 
>     * lisp/tooltip.el (tooltip-resize-echo-area): New defcustom.
>     (tooltip-show-help-non-mode): Use it to avoid truncating the
>     tooltip text in the echo area.  (Bug#28724)

What is unclear about it?  Drew thinks the doc string should say
something about stand-alone minibuffer frames, but only Drew can
explain why.  The doc string talks specifically about the echo-area,
and about the situation where tooltips are shown in the echo-area; it
says nothing about minibuffers or minibuffer-only frames.